# Argparsing strategy from https://blogsh.github.io/2021/03/09/alternative-approach-to-option-parsing.html

argparse() {
    "${COMMANDS["${1:-main}"]:-${COMMANDS[main]}}" "$@"
}

set_value () {
     local OPT_"${1//-/}"="$2" # Remove hyphens, as they are not valid variable names
     shift 2 || { echo "err: $1 requires an argument" 1>&2; return 1; }
     argparse "$@" # Run 'argparse()' for remaining arguments
}

set_true () {
    set_value "$1" true
}

argparse "$@"
