note__title() {
  local note_path="$1"
  local title_line="$(grep -m 1 "# " "$note_path")"

  echo "${title_line:2}"
}

note__tags() {
  local note_path="$1"
  echo $(grep -Eoh "#[^# ]+" "$note_path")
}

note__snippet() {
  local note_path="$1"
  local contents="$(cat "$note_path")"
  local nospace="${contents//[$'\t\r\n']/' '}"
  echo "${nospace:0:80}"
}

note__refs_id() {
    shift
    local refs="$(note__refs "$MZK_PATH/$1.md")"

    for ref in $refs; do
        list__one "$MZK_PATH/$ref.md"
    done
}

note__refs() {
    local note_path="$1"
    local refs="$(grep -Eoh "\[\[.+\]\]" "$note_path")"
    echo "${refs[@]:2:-2}"
}
